local assets =
{
    Asset("ANIM", "anim/n_sw.zip"),
	Asset("ATLAS", "images/inventoryimages/n.xml"),
    Asset("IMAGE", "images/inventoryimages/n.tex"),
}


local function onequip(inst, owner)  
        
        owner.AnimState:OverrideSymbol("swap_hat", "n_sw", "n_sw")
		 owner.AnimState:Show("HAT")
        owner.AnimState:Hide("HAIR_HAT")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")
        
        owner.AnimState:Show("HEAD")
        owner.AnimState:Hide("HEAD_HAIR")
		if inst.components.fueled ~= nil then
            inst.components.fueled:StartConsuming()
        end
       
    end
    

local function onunequip(inst, owner)
   
   owner.AnimState:Hide("HAT")
        owner.AnimState:Hide("HAIR_HAT")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")

        if owner:HasTag("player") then
            owner.AnimState:Show("HEAD")
            owner.AnimState:Hide("HEAD_HAIR")
        end

      if inst.components.fueled then
            inst.components.fueled:StopConsuming()        
        end
end


local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
 MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("n")
    inst.AnimState:SetBuild("n_sw")
    inst.AnimState:PlayAnimation("anim")
    
    inst:AddTag("hat")
	inst:AddTag("hide")

  inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/n.xml"  
    

 
     inst:AddComponent("waterproofer")
     inst.components.waterproofer:SetEffectiveness(0.1)
		
	inst:AddComponent("tradable")
	
	
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD 
    inst.components.equippable.dapperness = 1/100
    inst.components.equippable:SetOnUnequip(onunequip)
	 inst.components.equippable:SetOnEquip(onequip) 
	
	 
    
      

    
    return inst
end

return Prefab("n", fn, assets)

