PrefabFiles = {
	"tz",
	"n",
	"ma",
	"hu",
	"long",
	"she",
	"yang",
	"hou",
	"ji",
	"gou",
	"zhu",
	"shu",
	"dz",
}
Assets = 
{
	Asset("ATLAS", "images/inventoryimages/tz.xml"),
	Asset("ATLAS", "images/inventoryimages/dz.xml"),
	Asset("ATLAS", "images/inventoryimages/n.xml"),
	Asset("ATLAS", "images/inventoryimages/ma.xml"),
	Asset("ATLAS", "images/inventoryimages/hu.xml"),
	Asset("ATLAS", "images/inventoryimages/long.xml"),
	Asset("ATLAS", "images/inventoryimages/she.xml"),
	Asset("ATLAS", "images/inventoryimages/yang.xml"),
	Asset("ATLAS", "images/inventoryimages/hou.xml"),
	Asset("ATLAS", "images/inventoryimages/ji.xml"),
	Asset("ATLAS", "images/inventoryimages/gou.xml"),
	Asset("ATLAS", "images/inventoryimages/zhu.xml"),
	Asset("ATLAS", "images/inventoryimages/shu.xml"),
}

local STRINGS = GLOBAL.STRINGS                                       
local RECIPETABS = GLOBAL.RECIPETABS
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH


STRINGS.NAMES.TZ = "兔符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TZ = "充满了魔力"  
STRINGS.RECIPE_DESC.TZ = "让你像兔子一样迅捷"  

STRINGS.NAMES.MA = "马符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MA = "治愈如初"  
STRINGS.RECIPE_DESC.MA = "驱逐你体内的外力"   

STRINGS.NAMES.N= "牛符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.N = "充满了力量"  
STRINGS.RECIPE_DESC.N = "让你像牛一样大力"   

STRINGS.NAMES.HU = "虎符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HU = "充满了魔力"  
STRINGS.RECIPE_DESC.HU = "让你像兔子一样迅捷"  

STRINGS.NAMES.LONG = "龙符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LONG = "治愈如初"  
STRINGS.RECIPE_DESC.LONG = "驱逐你体内的外力"   

STRINGS.NAMES.SHE= "蛇符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SHE = "充满了力量"  
STRINGS.RECIPE_DESC.SHE = "让你像牛一样大力"   

STRINGS.NAMES.YANG = "羊符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.YANG = "充满了魔力"  
STRINGS.RECIPE_DESC.YANG = "让你像兔子一样迅捷"  

STRINGS.NAMES.HOU = "猴符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HOU = "治愈如初"  
STRINGS.RECIPE_DESC.HOU = "驱逐你体内的外力"   

STRINGS.NAMES.JI= "鸡符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.JI = "超强的意念"  
STRINGS.RECIPE_DESC.JI = "让你像牛一样大力"   

STRINGS.NAMES.GOU = "狗符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GOU = "看起来像猴子"  
STRINGS.RECIPE_DESC.GOU = "带给你永恒的生命"  

STRINGS.NAMES.ZHU = "猪符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ZHU = "电眼逼人"  
STRINGS.RECIPE_DESC.ZHU = "强大的力量"   

STRINGS.NAMES.SHU= "鼠符咒"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SHU = "充满了力量"  
STRINGS.RECIPE_DESC.SHU = "让你像牛一样大力"   

STRINGS.NAMES.DZ = "装符咒的袋子"         
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DZ = "特别的袋子"  
STRINGS.RECIPE_DESC.DZ = "安放符咒的地方"   


local dz = GLOBAL.Recipe("dz", { Ingredient("papyrus", 3), Ingredient("rope", 2)}, RECIPETABS.SURVIVAL, TECH.SCIENCE_TWO)
dz.atlas = "images/inventoryimages/dz.xml"
local tz = GLOBAL.Recipe("tz", { Ingredient("rabbit", 4), Ingredient("purplegem", 1), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
tz.atlas = "images/inventoryimages/tz.xml"
local n = GLOBAL.Recipe("n", { Ingredient("horn", 1), Ingredient("purplegem", 2), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
n.atlas = "images/inventoryimages/n.xml"
local  ma= GLOBAL.Recipe("ma", { Ingredient("deerclops_eyeball", 1), Ingredient("purplegem", 2), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
ma.atlas = "images/inventoryimages/ma.xml"
local hu = GLOBAL.Recipe("hu", { Ingredient("bearger_fur", 1), Ingredient("purplegem", 2), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
hu.atlas = "images/inventoryimages/hu.xml"
local long = GLOBAL.Recipe("long", { Ingredient("dragon_scales", 1), Ingredient("redgem", 2), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
long.atlas = "images/inventoryimages/long.xml"
local  she= GLOBAL.Recipe("she", { Ingredient("deerclops_eyeball", 1), Ingredient("purplegem", 1), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
she.atlas = "images/inventoryimages/she.xml"
local yang = GLOBAL.Recipe("yang", { Ingredient("lightninggoathorn", 1), Ingredient("purplegem", 1), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
yang.atlas = "images/inventoryimages/yang.xml"
local hou = GLOBAL.Recipe("hou", { Ingredient("horn", 1), Ingredient("purplegem", 1), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
hou.atlas = "images/inventoryimages/hou.xml"
local  ji= GLOBAL.Recipe("ji", { Ingredient("deerclops_eyeball", 1), Ingredient("purplegem", 1), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
ji.atlas = "images/inventoryimages/ji.xml"
local gou = GLOBAL.Recipe("gou", { Ingredient("houndstooth", 10), Ingredient("purplegem", 1), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
gou.atlas = "images/inventoryimages/gou.xml"
local zhu = GLOBAL.Recipe("zhu", { Ingredient("pigskin", 5), Ingredient("purplegem", 1), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
zhu.atlas = "images/inventoryimages/zhu.xml"
local  shu= GLOBAL.Recipe("shu", { Ingredient("mole", 5), Ingredient("purplegem", 2), Ingredient("nightmarefuel", 10  )}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
shu.atlas = "images/inventoryimages/shu.xml"


--[[AddPlayerPostInit(function(inst)
		local d=inst.components.combat.CalcDamage
		function inst.components.combat:CalcDamage(target, weapon, multiplier)
			local i=self.inst.components.inventory
			local h=i and i:GetEquippedItem(GLOBAL.EQUIPSLOTS.HEAD)
			if h and h.prefab=="n" then
				return d(self,target,weapon,(multiplier or 1)*2)
			else
				return d(self,target,weapon,multiplier)
			end
		end
end)]]

local function DCM(inst)
	    local CD=inst.CalcDamage
		 inst.CalcDamage=function(self,target, weapon, multiplier)
			local inv=self.inst.components.inventory
			local hat=inv and inv:GetEquippedItem(GLOBAL.EQUIPSLOTS.HEAD)
			local hbt=inv and inv:Has("n", 1)
			if hat and hat.prefab=="n" then
				return CD(self,target,weapon,(multiplier or 1)*2)
			elseif hbt  then 
			return CD(self,target,weapon,(multiplier or 1)*1.5)
			else
				return CD(self,target,weapon,multiplier)
			end
		end
	end
AddComponentPostInit("combat", DCM)

local function modispear(inst)
    inst.components.weapon:SetDamage(50)
end
AddPrefabPostInit("armor_sanity",function(inst)
   inst:AddComponent("tradable")
end)






 