local assets =
{
    Asset("ANIM", "anim/dz.zip"),
	Asset("ATLAS", "images/inventoryimages/dz.xml"),
    Asset("IMAGE", "images/inventoryimages/dz.tex"),
}

local prefabs =
{
  
}




local slotpos = {}
local function itemtest(inst, item, slot)
    if item.prefab == "shu" or item.prefab == "n" or item.prefab == "hu" or item.prefab == "tz" or item.prefab == "long" or item.prefab == "she" or item.prefab == "ma" or item.prefab == "yang" or item.prefab == "hou" or item.prefab == "ji" or item.prefab == "gou" or item.prefab == "zhu" 
       then
	   return true
    end
    return false
end

for y = 2.5, -0.5, -1 do
    for x = 0, 2 do
        table.insert(slotpos, Vector3(75*x-75*2+75, 75*y-75*2+75,0))
    end
end

local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
 MakeInventoryPhysics(inst)

   
    inst.AnimState:SetBank("dz")
    inst.AnimState:SetBuild("dz")
    inst.AnimState:PlayAnimation("idle")

    
    inst:AddComponent("inspectable")
	
	inst:AddComponent("container")
	inst.components.container:SetNumSlots(#slotpos)
	inst.components.container.widgetslotpos = slotpos
    inst.components.container.widgetanimbank = "ui_chester_shadow_3x4"
    inst.components.container.widgetanimbuild = "ui_chester_shadow_3x4"	
    inst.components.container.widgetpos = Vector3(0,200,0)
	inst.components.container.side_align_tip = 160
	inst.components.container.itemtestfn = itemtest
    
	
	
	 inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/dz.xml"



    return inst
end

return Prefab("dz", fn, assets, prefabs)



