local assets =
{
    Asset("ANIM", "anim/hu.zip"),
	Asset("ANIM", "anim/hu_sw.zip"),
	Asset("ATLAS", "images/inventoryimages/hu.xml"),
    Asset("IMAGE", "images/inventoryimages/hu.tex"),
}

local prefabs =
{
  
}
local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "hu_sw", "hu_sw")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
    end


	local function catchmonster(staff, target, pos)
if target:HasTag("player") then
    local light = SpawnPrefab("shadowwaxwell")
    local caster = staff.components.inventoryitem.owner
    light.components.follower:SetLeader(caster)
    else
       local inst = SpawnPrefab(target.prefab)
       inst.Transform:SetPosition(target.Transform:GetWorldPosition())
       if inst:HasTag("monster") then inst:RemoveTag("monster") end
       inst.task = inst:DoPeriodicTask(1, function() inst.components.combat.target = target end)
       target:ListenForEvent("death", function()
           if not inst.components.health:IsDead() then
              inst:Remove()
           end
       end )
       inst:DoTaskInTime(60, function() 
           if not inst.components.health:IsDead() then
              inst:Remove()
           end
       end )
end
	end
	
local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
 MakeInventoryPhysics(inst)

      inst:AddTag("nopunch")
     
    inst.AnimState:SetBank("hu")
    inst.AnimState:SetBuild("hu")
    inst.AnimState:PlayAnimation("idle")

    
    inst:AddComponent("inspectable")
		
	local function cancatchmonster(inst, caster, target)
    if target then
       return target.components.health and not target.components.health:IsDead()
    end
    return true
end

    inst:AddComponent("spellcaster")
    inst.components.spellcaster:SetSpellFn(catchmonster)
    inst.components.spellcaster:SetSpellTestFn(cancatchmonster)
    inst.components.spellcaster.canuseontargets = true
    inst.components.spellcaster.canusefrominventory = false
	
	

	inst:AddComponent("waterproofer")  
    inst.components.waterproofer:SetEffectiveness(0.1)
	
	
    inst:AddComponent("equippable") 
    inst.components.equippable.dapperness = 1/100
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)
	
	 inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/hu.xml"

    

    return inst
end

return Prefab("hu", fn, assets, prefabs)



