local assets =
{
    Asset("ANIM", "anim/ji.zip"),
	Asset("ANIM", "anim/ji_sw.zip"),
	Asset("ATLAS", "images/inventoryimages/ji.xml"),
    Asset("IMAGE", "images/inventoryimages/ji.tex"),
}

local prefabs =
{
  
}

local function HearPanFlute(inst, musician, instrument)
    local pos = Vector3(inst.Transform:GetWorldPosition())
    local ents = TheSim:FindEntities(pos.x,pos.y,pos.z, 10)
    for k,v in pairs(ents) do
        if v.components.pickable and v.prefab ~= "flower" then
           v.components.pickable:Pick(GetPlayer())
        end
        if v.components.crop then
           v.components.crop:Harvest(GetPlayer())
        end
    end
end


local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "ji_sw", "ji_sw")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
	local pt = owner:GetPosition()
    owner.Transform:SetPosition(pt.x, 5, pt.z)
	--inst:ListenForEvent("attacked", OnAttacked, owner)
            local player = GetPlayer()
            if player.sg and player.sg:HasStateTag("moving") and inst.equipped then
               owner.Transform:SetPosition(pt.x, 5, pt.z)
            end
       
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
	local pt = owner:GetPosition()
    owner.Transform:SetPosition(pt.x, 0, pt.z)
    end

local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
 MakeInventoryPhysics(inst)

      inst:AddTag("nopunch")
	 inst:AddTag("flute")
     
    inst.AnimState:SetBank("ji")
    inst.AnimState:SetBuild("ji")
    inst.AnimState:PlayAnimation("idle")

    
    inst:AddComponent("inspectable")
	inst:AddComponent("instrument")
	inst.components.instrument:SetOnHeardFn(HearPanFlute)
	
    --inst:AddComponent("tool")
   -- inst.components.tool:SetAction(ACTIONS.PLAY)
   
    

	inst:AddComponent("waterproofer")  
    inst.components.waterproofer:SetEffectiveness(0.1)
	
	
	
    inst:AddComponent("equippable") 
    inst.components.equippable.dapperness = 1/100
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)
	

	 inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/ji.xml"



    return inst
end

return Prefab("ji", fn, assets, prefabs)



