local assets =
{
    Asset("ANIM", "anim/long.zip"),
	Asset("ANIM", "anim/long_sw.zip"),
	Asset("ATLAS", "images/inventoryimages/long.xml"),
    Asset("IMAGE", "images/inventoryimages/long.tex"),
}

local prefabs =
{
  
}




local function onequip(inst, owner) 
    inst.Light:Enable(true)
    owner.components.combat.areahitrange=3
	owner.components.health.fire_damage_scale =  owner.components.health.fire_damage_scale-1
    owner.AnimState:OverrideSymbol("swap_object", "long_sw", "long_sw")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner)
    owner.components.health.fire_damage_scale =  owner.components.health.fire_damage_scale+1
    owner.components.combat.areahitrange=nil
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
    end
 
	

 
local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
 MakeInventoryPhysics(inst)

      inst:AddTag("nopunch")
     
    inst.AnimState:SetBank("long")
    inst.AnimState:SetBuild("long")
    inst.AnimState:PlayAnimation("idle")
	
    inst:AddComponent("inspectable")
	
    local function onattack(inst, owner, target)
    SpawnPrefab("explode_small").Transform:SetPosition(target.Transform:GetWorldPosition())
	local xxx = owner.components.health:GetPercent()
	local xcv =60-40*xxx
	inst.components.weapon:SetDamage(xcv)
    end
	
	local light = inst.entity:AddLight()   
    inst.Light:SetRadius(1.0)
    inst.Light:SetFalloff(.9)
    inst.Light:SetIntensity(0.5)
    inst.Light:SetColour(235 / 255, 121 / 255, 12 / 255)
	inst.Light:Enable(true)
	
	
	
	inst:AddComponent("weapon")
	 inst.components.weapon:SetDamage(25)
     inst.components.weapon:SetRange(8, 10)
    inst.components.weapon:SetOnAttack(onattack)
    inst.components.weapon:SetProjectile("fire_projectile")

	
    inst:AddComponent("heater")
    inst.components.heater.heat = 115

	inst:AddComponent("waterproofer")  
    inst.components.waterproofer:SetEffectiveness(0.1)
	
	
    inst:AddComponent("equippable") 
    inst.components.equippable.dapperness = 1/100
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)
	
	
	 inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/long.xml"



    return inst
end

return Prefab("long", fn, assets, prefabs)



