local assets =
{
    Asset("ANIM", "anim/ma.zip"),
	Asset("ANIM", "anim/ma_sw.zip"),
	Asset("ATLAS", "images/inventoryimages/ma.xml"),
    Asset("IMAGE", "images/inventoryimages/ma.tex"),
}

local prefabs =
{
  
}
local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "ma_sw", "ma_sw")
	owner.components.health:StartRegen(2, 3)
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
   owner.components.health:StopRegen(2, 3)
    end

local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
 MakeInventoryPhysics(inst)

      inst:AddTag("nopunch")
     
    inst.AnimState:SetBank("ma")
    inst.AnimState:SetBuild("ma")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	
	inst:AddComponent("waterproofer")  
    inst.components.waterproofer:SetEffectiveness(0.1)
	
	local function canbeback(staff, caster, target, pos)
       return true
end
local function beback(staff, target, pos)
	local caster = staff.components.inventoryitem.owner
	if caster.components.health.currenthealth>50 then
    if caster.components.sanity then
       caster.components.sanity:DoDelta(-50)
    end
    SpawnPrefab("book_fx").Transform:SetPosition(target.Transform:GetWorldPosition())
    if target.components.fueled then
       target.components.fueled.currentfuel = target.components.fueled.maxfuel
    end
    if target.components.finiteuses then
       target.components.finiteuses.current = target.components.finiteuses.total
    end
    if target.components.armor then
       target.components.armor.condition = target.components.armor.maxcondition
    end
    if target.components.perishable then
       target.components.perishable.perishremainingtime = target.components.perishable.perishtime
    end
    if target.components.health then
	   caster.components.health:DoDelta(-50)
       target.components.health.currenthealth = target.components.health.maxhealth
    end
	end
end
    inst:AddComponent("spellcaster")
    inst.components.spellcaster:SetSpellFn(beback)
    inst.components.spellcaster:SetSpellTestFn(canbeback)
    inst.components.spellcaster.canuseontargets = true
    inst.components.spellcaster.canusefrominventory = false

    inst:AddComponent("equippable") 
    inst.components.equippable.dapperness = 1/100
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)
	
	
	
	 inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/ma.xml"



    return inst
end

return Prefab("ma", fn, assets, prefabs)



