require "brains/shadowwaxwellbrain"
require "stategraphs/SGshadowwaxwell"

local assets = 
{
    Asset("ANIM", "anim/waxwell_shadow_mod.zip"),
	Asset("SOUND", "sound/maxwell.fsb"),
	Asset("ANIM", "anim/swap_pickaxe.zip"),
	Asset("ANIM", "anim/swap_axe.zip"),
	Asset("ANIM", "anim/swap_nightmaresword.zip"),
}

local prefabs = 
{

}

local items =
{
	AXE = "swap_axe",
	PICK = "swap_pickaxe",
    SWORD = "swap_nightmaresword"
}

local function ondeath(inst)
	inst.components.sanityaura.penalty = 0
	local player = GetPlayer()
	if player then
		player.components.sanity:RecalculatePenalty()
	end
end

local function EquipItem(inst, item)
	if item then
	    inst.AnimState:OverrideSymbol("swap_object", item, item)
	    inst.AnimState:Show("ARM_carry") 
	    inst.AnimState:Hide("ARM_normal")
	end
end
--[[local caster = staff.components.inventoryitem.owner
    local xxx=   caster.components.health:GetPercent()
	local xcv = caster.components.health.maxhealth/60
	local cvb = caster.components.health.maxhealth/2
if  target:HasTag("player") 
then
if xxx> 0.5 then
    if caster.components.sanity then
       caster.components.sanity:DoDelta(-50)
    caster.components.sanity.penalty = 50
 caster.components.health.penalty = xcv
 caster.components.health:DoDelta(-cvb)
    end

--if
 --target.components.inventory:Has("meat", 4) and target.components.inventory:Has("pigskin", 2) and target.components.inventory:Has("nightsword", 1) and target.components.inventory:Has("axe", 1) and target.components.inventory:Has("pickaxe", 1)
--then
--[[target.components.inventory:ConsumeByName("nightsword", 1) 
target.components.inventory:ConsumeByName("pigskin", 2) 
target.components.inventory:ConsumeByName("axe", 1) 
target.components.inventory:ConsumeByName("pickaxe", 1)
target.components.inventory:ConsumeByName("meat", 4)]]
local inst = SpawnPrefab(target.prefab)
      inst:HasTag("player")
	  inst:HasTag("shadow")
	  local function OnAttacked(inst, data)
    inst:ClearBufferedAction()
    inst.components.combat:SetTarget(data.attacker)
end
       inst.Transform:SetPosition(target.Transform:GetWorldPosition())
	   inst:AddComponent("follower")
        inst.components.follower:SetLeader(GetPlayer())
		local brain = require"brains/shadowwaxwellbrain"
        inst:SetStateGraph("SGshadowwaxwell")
        inst:SetBrain(brain) 
		local items = { AXE = "swap_axe",
	      PICK = "swap_pickaxe",
    SWORD = "swap_nightmaresword" }
local function EquipItem(inst, item)
    if item then
       inst.AnimState:OverrideSymbol("swap_object", item, item)
       inst.AnimState:Show("ARM_carry") 
       inst.AnimState:Hide("ARM_normal")
    end
end
    inst.items = items
    inst.equipfn = EquipItem
    EquipItem(inst)
local function OnRefuseItem(inst, item)
    inst.sg:GoToState("refuse")
end
local function OnGetItemFromPlayer(inst, giver, item)
    --I wear hats
    if item.components.equippable and item.components.equippable.equipslot == EQUIPSLOTS.HEAD then
        local current = inst.components.inventory:GetEquippedItem(EQUIPSLOTS.HEAD)
        if current then
            inst.components.inventory:DropItem(current)
        end
        
        inst.components.inventory:Equip(item)
        inst.AnimState:Show("hat")
    end
	 if item.components.equippable and item.components.equippable.equipslot == EQUIPSLOTS.BODY then
        local current = inst.components.inventory:GetEquippedItem(EQUIPSLOTS.BODY)
        if current then
            inst.components.inventory:DropItem(current)
        end
        
        inst.components.inventory:Equip(item)
        inst.AnimState:Show("armor")
    end
end
local function ShouldAcceptItem(inst, item)
        return true
end
local function KeepTarget(isnt, target)
    return target and target:IsValid()
end
	   inst:AddComponent("trader")
    inst.components.trader:SetAcceptTest(ShouldAcceptItem)
    inst.components.trader.onaccept = OnGetItemFromPlayer
    inst.components.trader.onrefuse = OnRefuseItem
    inst.AnimState:OverrideSymbol("swap_object", "swap_nightmaresword", "swap_nightmaresword")
    inst.AnimState:Show("ARM_carry")
     inst.AnimState:Hide("ARM_normal")	
      inst:AddComponent("combat")
    inst.components.combat.hiteffectsymbol = "torso"
    -- inst.components.combat:SetRetargetFunction(1, Retarget)
    inst.components.combat:SetKeepTargetFunction(KeepTarget)
	if  IsDLCEnabled(CAPY_DLC) or IsDLCEnabled(PORKLAND_DLC)  then
 local dm =target.components.combat:GetDamageModifier()-1
	          inst.components.combat:AddDamageModifier("inst", dm)
			  else inst.components.combat.damagemultiplier = target.components.combat.damagemultiplier	  
     end
    inst.components.combat:SetAttackPeriod(0)
    inst.components.combat:SetRange(2, 3)
    inst.components.combat:SetDefaultDamage(68)
        inst:ListenForEvent("attacked", OnAttacked)
	
		inst:AddComponent("locomotor")
		inst:ListenForEvent("death", function()
         SpawnPrefab("skeleton").Transform:SetPosition(inst.Transform:GetWorldPosition())
		  caster.components.sanity:DoDelta(50)
    caster.components.sanity.penalty = 0
 caster.components.health.penalty = 0
 caster.components.health:DoDelta(xcv)
    end )

       target:ListenForEvent("death", function()
           if  not inst.components.health:IsDead() then  
 caster.components.sanity:DoDelta(50)
    caster.components.sanity.penalty = 0
 caster.components.health.penalty = 0
 caster.components.health:DoDelta(cvb)  
              inst:Remove()
           end
       end )
	  end]]
local function die(inst)
	inst.components.health:Kill()
end

local function resume(inst, time)
    if inst.death then
        inst.death:Cancel()
        inst.death = nil
    end
    inst.death = inst:DoTaskInTime(time, die)
end

local function onsave(inst, data)
    data.timeleft = (inst.lifetime - inst:GetTimeAlive())
end

local function KeepTarget(isnt, target)
    return target and target:IsValid()
end

local function onload(inst, data)
    if data.timeleft then
        inst.lifetime = data.timeleft
        if inst.lifetime > 0 then
            resume(inst, inst.lifetime)
        else
            die(inst)
        end
    end
end

local function entitydeathfn(inst, data)
    if data.inst:HasTag("player") then
        inst:DoTaskInTime(math.random(), function() inst.components.health:Kill() end)
    end
end
local function OnRefuseItem(inst, item)
    inst.sg:GoToState("refuse")
end
local function OnGetItemFromPlayer(inst, giver, item)
    --I wear hats
    if item.components.equippable and item.components.equippable.equipslot == EQUIPSLOTS.HEAD then
        local current = inst.components.inventory:GetEquippedItem(EQUIPSLOTS.HEAD)
        if current then
            inst.components.inventory:DropItem(current)
        end
        
        inst.components.inventory:Equip(item)
        inst.AnimState:Show("hat")
    end
	 if item.components.equippable and item.components.equippable.equipslot == EQUIPSLOTS.BODY then
        local current = inst.components.inventory:GetEquippedItem(EQUIPSLOTS.BODY)
        if current then
            inst.components.inventory:DropItem(current)
        end
        
        inst.components.inventory:Equip(item)
        inst.AnimState:Show("armor")
    end
end
local function ShouldAcceptItem(inst, item)
        return true
end

 local function OnAttacked(inst, data)
    inst:ClearBufferedAction()
    inst.components.combat:SetTarget(data.attacker)
end

local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	local sound = inst.entity:AddSoundEmitter()

	inst.Transform:SetFourFaced(inst)

	MakeGhostPhysics(inst, 1, .5)

	anim:SetBank("wilson")
	anim:SetBuild(GetPlayer()
	anim:PlayAnimation("idle")

    anim:Hide("ARM_carry")
    anim:Hide("hat")
    anim:Hide("hat_hair")

   -- inst:AddTag("scarytoprey")
   -- inst:AddTag("NOCLICK")

	--inst:AddComponent("colourtweener")
	--inst.components.colourtweener:StartTween({0,0,0,.5}, 0)

	inst:AddComponent("locomotor")
    inst.components.locomotor:SetSlowMultiplier( 0.6 )
    inst.components.locomotor.pathcaps = { ignorecreep = true }
    inst.components.locomotor.runspeed = TUNING.SHADOWWAXWELL_SPEED

     inst:AddComponent("combat")
    inst.components.combat.hiteffectsymbol = "torso"
    -- inst.components.combat:SetRetargetFunction(1, Retarget)
    inst.components.combat:SetKeepTargetFunction(KeepTarget)
	if  IsDLCEnabled(CAPY_DLC) or IsDLCEnabled(PORKLAND_DLC)  then
 local dm =target.components.combat:GetDamageModifier()-1
	          inst.components.combat:AddDamageModifier("inst", dm)
			  else inst.components.combat.damagemultiplier = target.components.combat.damagemultiplier	  
     end
    inst.components.combat:SetAttackPeriod(0)
    inst.components.combat:SetRange(2, 3)
    inst.components.combat:SetDefaultDamage(68)
        inst:ListenForEvent("attacked", OnAttacked)

    inst:AddComponent("health")
    inst.components.health:SetMaxHealth(TUNING.SHADOWWAXWELL_LIFE)
    inst.components.health.nofadeout = true
    inst:ListenForEvent("death", ondeath)

	inst:AddComponent("inventory")
    inst.components.inventory.dropondeath = false
inst:AddComponent("trader")
    inst.components.trader:SetAcceptTest(ShouldAcceptItem)
    inst.components.trader.onaccept = OnGetItemFromPlayer
    inst.components.trader.onrefuse = OnRefuseItem
	
    inst:AddComponent("sanityaura")
    inst.components.sanityaura.penalty = TUNING.SHADOWWAXWELL_SANITY_PENALTY

    inst.items = items
    inst.equipfn = EquipItem

    inst.lifetime = TUNING.SHADOWWAXWELL_LIFETIME
    inst.death = inst:DoTaskInTime(inst.lifetime, die)

    inst.OnSave = onsave
    inst.OnLoad = onload

    EquipItem(inst)

    inst:ListenForEvent("entity_death", function(world, data) entitydeathfn(inst, data) end, GetWorld())

    inst:AddComponent("follower")

	local brain = require"brains/shadowwaxwellbrain"
	inst:SetBrain(brain)
	inst:SetStateGraph("SGshadowwaxwell")

	return inst
end

return Prefab("shadowplayer", fn, assets, prefabs)