local assets =
{
    Asset("ANIM", "anim/zhu.zip"),
	Asset("ANIM", "anim/zhu_sw.zip"),
	Asset("ATLAS", "images/inventoryimages/zhu.xml"),
    Asset("IMAGE", "images/inventoryimages/zhu.tex"),
}

local prefabs =
{
  
}
local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "zhu_sw", "zhu_sw")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
    end
	
	  local function canattack(inst, target)
    if  TheInput:IsMouseDown(MOUSEBUTTON_RIGHT) then
       inst.components.weapon:LaunchProjectile(inst, target)
    end
    --if GetPlayer().components.inventory:Has("stinger", 1) then
       return true
   -- end
end
local function onattack_yellow(inst, owner, target)
    owner.SoundEmitter:PlaySound("dontstarve/creatures/eyeballturret/shotexplo")
    SpawnPrefab("die_fx").Transform:SetPosition(target.Transform:GetWorldPosition())
    --TheCamera:Shake("FULL", 0.2, 0.02, .5, 40)
    --owner.components.inventory:ConsumeByName("stinger", 1)
end

local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
 MakeInventoryPhysics(inst)

      inst:AddTag("nopunch")
	
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(10)
    inst.components.weapon:SetRange(25, 30)
    inst.components.weapon:SetOnAttack(onattack_yellow)
    inst.components.weapon:SetCanAttack(canattack)
    inst.components.weapon:SetProjectile("fire_projectile")
    --inst.components.finiteuses:SetMaxUses(1000)
    --inst.components.finiteuses:SetUses(1000)
  

     
    inst.AnimState:SetBank("zhu")
    inst.AnimState:SetBuild("zhu")
    inst.AnimState:PlayAnimation("idle")

    
    inst:AddComponent("inspectable")
	
	--[[local light = inst.entity:AddLight()                                               
    light:SetFalloff(0.7)                                                                        --dude.Light:SetFalloff(10)
    light:SetIntensity(.5)                                                                       -- dude.Light:SetIntensity(.5)
    light:SetRadius(16)                                                                           --	dude.Light:SetRadius(3)
    light:SetColour(255/255,255/255,192/255)--十胜石工具的光色（黄），(15/255,165/255,165/255)虚空剑的色光（白）
    light:Enable(true)  ]]

	inst:AddComponent("waterproofer")  
    inst.components.waterproofer:SetEffectiveness(0.1)
	
	
    inst:AddComponent("equippable") 
    inst.components.equippable.dapperness = 1/100
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)
	if  IsDLCEnabled(CAPY_DLC) or IsDLCEnabled(PORKLAND_DLC)  then                  
	          inst.components.equippable.walkspeedmult = .5
			  else inst.components.equippable.walkspeedmult = 1.5
			  
     end

	
	
	 inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/zhu.xml"



    return inst
end

return Prefab("zhu", fn, assets, prefabs)



